--- title: "Get the Traffic Statistics for Outbound SSL" slug: "get-the-traffic-statistics-for-outbound-ssl-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/get-the-traffic-statistics-for-outbound-ssl-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Traffic Statistics for Outbound SSL This URL is used to retrieve traffic statistics for outbound SSL for a Sensor. ### Resource URL GET /sensor/{sensorId}/trafficstats/outboundsslstats ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `sslConnectionAttemptsFromClientToSensor` | SSL connection attempts from the client to the Sensor | Number | | `sslConnectionAttemptsFromSensorToWebServer` | SSL connection attempts from the Sensor to the web server | Number | | `endToEndSSLHandshakesInProgress` | End-to-end SSL handshakes in progress | Number | | `endToEndSSLFlowsEstablished` | End-to-end SSL flows established | Number | | `allowedSSLFlows` | Allowed SSL flows | Number | | `attacksDetectedInSSLFlows` | Attacks detected in SSL flows | Number | | `RSAFlows` | RSA flows | Number | | `diffieHellmanFlows` | Diffie-Hellman flows | Number | | `nonSSLFlows` | Non SSL flows | Number | | `untrustedCertificates` | Untrusted certificates | Number | | `sslFlowsBlockedOrSkippedFromUntrustedCertificates` | SSL flows blocked or skipped due to untrusted certificates | Number | | `sslFlowsBlockedOrSkippedFromUnsupportedCipherSuite` | SSL flows blocked or skipped due to unsupported cipher suites | Number | | `sslFlowsBlockedOrSkippedFromGeneralDecryptionFailures` | SSL flow blocked or skipped due to general decryption failures | Number | ### Example **Request** GET [https:///sdkapi/sensor/1009/trafficstats/outboundsslstats](https://<NSM_IP>/sdkapi/domain/0/remoteaccess/radius) **Response** ``` {  "sslConnectionAttemptsFromClientToSensor": 0,  "sslConnectionAttemptsFromSensorToWebServer": 0,  "endToEndSSLHandshakesInProgress": 0,  "endToEndSSLFlowsEstablished": 0,  "allowedSSLFlows": 0,  "attacksDetectedInSSLFlows": 0,  "RSAFlows": 0,  "diffieHellmanFlows": 0,  "nonSSLFlows": 0,  "untrustedCertificates": 0,  "sslFlowsBlockedOrSkippedFromUntrustedCertificates": 0,  "sslFlowsBlockedOrSkippedFromUnsupportedCipherSuite": 0,  "sslFlowsBlockedOrSkippedFromGeneralDecryptionFailures": 0 } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | | Invalid Sensor: When the device id given is not valid |